/**
 * libSpiff - XSPF playlist handling library
 *
 * Copyright (C) 2006 Sebastian Pipping
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Sebastian Pipping, webmaster@hartwork.org
 */

#ifndef SPIFF_DEFINES_H
#define SPIFF_DEFINES_H 1



// Expat header location
#include "../Expat/expat.h"



// Maximum size in bytes of a file that
// will be loaded into a buffer in whole
#define SPIFF_MAX_BLOCK_SIZE 100000



// TODO Portability defines
#if (defined(__WIN32__) || defined(WIN32))

// Windows =========================
#include <tchar.h>
# define PORT_STRLEN _tcslen
# define PORT_STRCPY _tcscpy
# define PORT_STRCMP _tcscmp
# define PORT_FOPEN _tfopen
# define PORT_PRINTF _tprintf
# define PORT_MAIN _tmain
# define _PT(x) _T(x)
// =================================

# ifdef UNICODE
#  ifndef _UNICODE
#   error _UNICODE not defined
#  endif
# else
#  ifdef _UNICODE
#   error UNICODE not defined
#  endif
# endif
#else

// Unix, ANSI ======================
# define PORT_STRLEN strlen
# define PORT_STRCPY strcpy
# define PORT_STRCMP strcmp
# define PORT_FOPEN fopen
# define PORT_PRINTF printf
# define PORT_MAIN main
# define _PT(x) x
// =================================

#endif



#endif // SPIFF_DEFINES_H
