/**
 * libSpiff - XSPF playlist handling library
 *
 * Copyright (C) 2006 Sebastian Pipping
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Sebastian Pipping, webmaster@hartwork.org
 */

#include "SpiffPlaylistProps.h"
#include <string.h>

namespace Spiff {



SpiffPlaylistProps::SpiffPlaylistProps() : title(NULL) {

}



SpiffPlaylistProps::~SpiffPlaylistProps() {

}



void SpiffPlaylistProps::deleteNewAndCopy(XML_Char ** dest, const XML_Char * src) {
	if (*dest != NULL) {
		delete [] *dest;
	}
	*dest = new XML_Char[static_cast<int>(::PORT_STRLEN(src)) + 1];
	::PORT_STRCPY(*dest, src);
}



XML_Char * SpiffPlaylistProps::getTitle() {
	return this->title;
}



void SpiffPlaylistProps::setTitle(const XML_Char * title) {
	deleteNewAndCopy(&this->title, title);
}



}
