/**
 * libSpiff - XSPF playlist handling library
 *
 * Copyright (C) 2006 Sebastian Pipping
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Sebastian Pipping, webmaster@hartwork.org
 */

#ifndef SPIFF_PLAYLIST_PROPS
#define SPIFF_PLAYLIST_PROPS 1



#include "SpiffDefines.h"

namespace Spiff {



class SpiffPlaylistProps {

private:
	XML_Char * title;

public:
	SpiffPlaylistProps();
	~SpiffPlaylistProps();
	XML_Char * getTitle();
	void setTitle(const XML_Char * title);

private:
	void deleteNewAndCopy(XML_Char ** dest, const XML_Char * src);

};



}

#endif // SPIFF_PLAYLIST_PROPS
