/**
 * libSpiff - XSPF playlist handling library
 *
 * Copyright (C) 2006 Sebastian Pipping
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Sebastian Pipping, webmaster@hartwork.org
 */

#ifndef SPIFF_STACK_H
#define SPIFF_STACK_H 1



#include "SpiffDefines.h"
#include <vector>
using namespace std;

namespace Spiff {



enum SpiffTag {
	TAG_UNKNOWN,
	TAG_ALBUM,
//	TAG_ANNOTATION,
//	TAG_ATTRIBUTION,
	TAG_CREATOR,
//	TAG_DATE,
//	TAG_DURATION,
//	TAG_EXTENSION,
//	TAG_IDENTIFIER,
//	TAG_IMAGE,
//	TAG_INFO,
//	TAG_LICENSE,
//	TAG_LINK,
	TAG_LOCATION,
//	TAG_META,
	TAG_PLAYLIST,
	TAG_TITLE,
	TAG_TRACK,
	TAG_TRACKLIST,
	TAG_TRACKNUM
};



class SpiffStack {

private:
	vector<SpiffTag> stack;

public:
	SpiffStack();
	~SpiffStack();
	void push(SpiffTag tag);
	SpiffTag top();
	void pop();

};



}

#endif // SPIFF_STACK_H
