/**
 * libSpiff - XSPF playlist handling library
 *
 * Copyright (C) 2006 Sebastian Pipping
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Sebastian Pipping, webmaster@hartwork.org
 */

#ifndef SPIFF_TRACK_H
#define SPIFF_TRACK_H 1



#include "SpiffDefines.h"

namespace Spiff {



class SpiffTrack {

private:
	XML_Char * location;
	XML_Char * title;
	XML_Char * creator;
	XML_Char * album;
	XML_Char * trackNum;
	
public:
	SpiffTrack();
	~SpiffTrack();

	XML_Char * getLocation();
	XML_Char * getTitle();
	XML_Char * getCreator();
	XML_Char * getAlbum();
	XML_Char * getTrackNum();
	void setLocation(const XML_Char * location);
	void setTitle(const XML_Char * title);
	void setCreator(const XML_Char * creator);
	void setAlbum(const XML_Char * album);
	void setTrackNum(const XML_Char * trackNum);

private:
	void deleteNewAndCopy(XML_Char ** dest, const XML_Char * src);

};



}

#endif // SPIFF_TRACK_H
